Name:           libieee1284
Version:        0.2.11
Release:        32
Summary:        IEEE1284 communications library
License:        GPLv2+
URL:            http://cyberelk.net/tim/libieee1284/
Source0:        https://sourceforge.net/projects/%{name}/files/%{name}/%{version}/%{name}-%{version}.tar.bz2/download?use_mirror=ufpr#/%{name}-%{version}.tar.bz2

Patch0001:      libieee1284-strict-aliasing.patch
Patch0002:      libieee1284-aarch64.patch

BuildRequires:  xmlto gcc

%description
This library is intended to be used by applications that need to
communicate with (or at least identify) devices that are attached
via a parallel port.

%package        devel
Summary:        Development headers and libraries for libieee1284
Requires:       %{name} = %{version}-%{release}

%description    devel
The libieee1284-devel package includes header files and libraries necessary
for the libieee1284 library.

%package        help
Summary:        This package contains help documents
Requires:       %{name} = %{version}-%{release}

%description    help
Files for help with libieee1284.

%prep
%autosetup -p1

%build
touch doc/interface.xml
%configure --without-python
%make_build

%install
%make_install
%delete_la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc COPYING
%{_libdir}/*.so.*
%{_bindir}/*
%exclude %{_libdir}/libieee1284.a
%exclude %{_libdir}/python*/*/ieee1284module.a

%files devel
%{_includedir}/ieee1284.h
%{_libdir}/*.so

%files help
%doc README TODO AUTHORS NEWS
%{_mandir}/*/*


%changelog
* Tue Jun 08 2021 wulei <wulei80@huawei.com> - 0.2.11-32
- fixes failed: error: no acceptable C compiler found in $PATH

* Mon Oct 26 2020 leiju<leiju4@huawei.com> - 0.2.11-31
- remove python2 subpackage

* Tue Sep 15 2020 Ge Wang<wangge20@huawei.com> - 0.2.11-30
- Modify Source0 Url

* Mon Nov 18 2019 gulining<gulining1@huawei.com> - 0.2.11-29
- Pakcage init
